Function
createWotdIndex
Builds a q-gram index on a sequence.
createWotdIndex(sa, dir, text)
Include Headers
seqan/index.h
Parameters

text | The sequence.
sa | The resulting list in which all q-grams are sorted alphabetically.
dir | The resulting array that indicates at which position in index the corresponding q-grams can be found.

Return Values
Index contains the sorted list of qgrams. For each possible q-gram pos contains the first position in index that corresponds to this q-gram.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47